API ReferencePapersPaperid
Get a paper entry by ID
Fetches the details of a single paper (screen) by its ID.
Middlewares: authMiddleware, validatePaper
x-api-key<token>
API key for authentication
In: header
Path Parameters
paperIdstring
A valid MongoDB ObjectId
kind?string
return?string
Response Body
application/json
curl -X GET "https://api.paperlesspaper.de/v1/papers/682fd0d7d4a6325d9d45b870" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "string",
"title": "string",
"content": "string",
"author": "string",
"createdAt": "string",
"updatedAt": "string",
"imageUpdatedAt": "string"
}Generate a file URL for a paper image POST
Creates a temporary signed URL for getting an image from storage. Middlewares: `authMiddleware`, `validatePaper`
Update a paper entry by ID POST
Updates the content or settings of an existing paper (screen). Middlewares: `authMiddleware`, `validateDeviceIsInOrganization`, `validatePaper`